@echo off
echo.========================================================
echo.- CopyDao.bat-
echo.
echo. This batch file makes the installer floppy disk
echo. of Data Access Objects (DAO) Setup
echo.--------------------------------------------------------
echo. Copyright (c) 2003 by FANUC CORPORATION. All rights reserved.
echo.========================================================

if "%1" == "" goto usage
if not exist .\disk1\*.* goto nodiskimage

set srcpath=DISK1
goto copyexec
:DISK1_END

set srcpath=DISK2
goto copyexec
:DISK2_END

set srcpath=DISK3
goto copyexec
:DISK3_END

set srcpath=DISK4
goto copyexec
:DISK4_END

set srcpath=DISK5
goto copyexec
:DISK5_END

set srcpath=DISK6
goto copyexec
:DISK6_END

set srcpath=DISK7
goto copyexec
:DISK7_END

set srcpath=DISK8
goto copyexec
:DISK8_END

set srcpath=DISK9
goto copyexec
:DISK9_END

set srcpath=DISK10
goto copyexec
:DISK10_END

echo.
echo The copy of the installer was completed.
echo.
goto END


:nodiskimage
echo.
echo Not exist disk image.
echo.
echo.
goto END


:usage
echo.
echo usage:
echo copydao.bat [drive:]
echo.
echo.
goto END

rem ==================================================
:copyexec
if not exist .\%srcpath%\*.* goto END
echo.
echo Please insert blank floppy disk into the %1 drive.(%srcpath%)
echo.
pause
xcopy .\%srcpath%\*.* %1 /S /H /Y
goto %srcpath%_END

:END